Subject: Re: Unibus and QBUS jumper settings resource

From: Dan Lanciani <[email-masked]>
Date: Fri, 17 Jan 1997 21:46:52 -0500

|I need to know the jumper functions on the 11/23+ (note, this is the
|PLUS, a quad height board with built-in SLUs and bootstrap).
|
|Anyone? Anyone?

What you want is the 1985 Microcomputer Products Handbook.  Unfortunately,
I've given away all my extra copies or I'd send you one...  Let's see
how far I can get typing in the information:

Manufacturing test jumpers ("must" be configured as shown):
J6-J7, J8-J9, J20-J21, J35-J34, J27-J26 - installed
J33-J34, J25-J26 - removed

Powerup mode selection using j18-J19 and J18-J17:
mode 0 (PC@24, PS@26) neither
mode 1 (console ODT) J18-J17
mode 2 (bootstrap) J18-J19
mode 3 (not implemented) both

Halt/trap option: J16-J18 -> trap on kernel halt, otherwise ODT

Onboard device selection jumpers:
J10 is ground; connect to others to select specified behavior
J11 - allow BEVNT to interrupt
J15 - disable boot/diagnostic registers, ROMs, and line clock register
J12 - selects alternate address/vectors for second SLU (776540/340/344)
      (If this is not grounded, it looks like the second SLU is at the same
       address as the console.  I'm not sure why you would want this.)
J13 - disables second SLU registers
J14 - disables console SLU registers

Console SLU:
S2-4 (MSB) through S2-1 (LSB) select these rates in the obvious sequence
(note that switch ON -> "0"): 50,75,110,124.5,150,300,600,1200,1800,
	2000,2400,3600,4800,7200,9600,19200
J43-J42 -> internal baud rate generator
J41-J42 -> external clock
J39-J38 -> 7-bit characters else 8-bit
J37-J38 -> one stop bit else two
J36-J38 -> parity enabled
J40-J38 -> odd parity else even
(note if 8-bit then parity must be disabled)

Halt-on-break: J3-J4 enabled, J5-J4 disabled

Second SLU:
S2-8 (MSB) through S2-5 (LSB) select baud as above
J46-J45 -> internal baud rate generator
J44-J45 -> external clock
J31-J30 -> 7-bit characters else 8-bit
J29-J30 -> one stop bit else two
J28-J30 -> parity enabled
J32-J30 -> odd parity else even
(note if 8-bit then parity must be disabled)

Boot:
S1-1 on -> diagnostics on powerup or restart
S1-2 on -> memory diagnostics on powerup or restart
S1-3 on -> DECnet boot w/S1-4 through S1-7 as arguments
S1-4 on -> console test and dialogue; off -> turnkey boot of device
           determined by S1-5 through S1-8 (*all these only w/S1-3 off*)

DECNet boot devices (unmentioned switches = don't care)
S1-4 on -> DUV11 @ 760040
S1-4 off, S1-5 on, S1-7 off -> DLVE1 @ 775610
S1-4 off, S1-5 on, S1-7 on ->  DLV11-F @ 776500

Turnkey boot devices:
S1- (O = on, F = off)
5678
FFFO RK05
FFOO RL01/2
FFOO TU58 on SLU @776500
FOFF RX01
FOOF RX02

ROM jumpers:
J24-J23 -> ROM
J22-J23 -> EPROM

Q-bus backplane jumpers:
install both for Q/Q backplane
W1 - connects CM2 with CN2 (BIAK)
W2 - connects CR2 with CS2 (BDMG)

That's all of them.  I know how frustrating it can be to try guessing
at these things...

				Dan Lanciani
				ddl@harvard.*